diff -Nru a/drivers/usb/inode.c b/drivers/usb/inode.c
--- a/drivers/usb/inode.c	Mon Jan 21 13:04:28 2002
+++ b/drivers/usb/inode.c	Mon Jan 21 13:04:28 2002
@@ -688,6 +688,12 @@
 	if (dev->dentry == NULL)
 		return;
 
+	/* Set the size of the device's file to be
+	 * equal to the size of the device descriptor. */
+	if (dev->dentry->d_inode)
+		dev->dentry->d_inode->i_size = 
+			sizeof (struct usb_device_descriptor);
+
 	usbfs_update_special();
 	usbdevfs_conn_disc_event();
 }
